package net.ferrum.business.service;

import net.ferrum.business.domain.bo.QsSupplierBo;
import net.ferrum.business.domain.vo.QsSupplierVo;
import net.ferrum.common.core.domain.PageQuery;
import net.ferrum.common.core.page.TableDataInfo;

import java.util.Collection;
import java.util.List;

/**
 * 供应商信息Service接口
 *
 * @author ferrum
 * @version 1.0.0
 * @since 2025-03-05
 */
public interface IQsSupplierService {

    /**
     * 查询供应商信息
     */
    QsSupplierVo queryById(Long supplierId);

    /**
     * 查询供应商信息列表
     */
    TableDataInfo<QsSupplierVo> queryPageList(QsSupplierBo bo, PageQuery pageQuery);

    /**
     * 查询供应商信息列表
     */
    List<QsSupplierVo> queryList(QsSupplierBo bo);

    /**
     * 新增供应商信息
     */
    Boolean insertByBo(QsSupplierBo bo);

    /**
     * 修改供应商信息
     */
    Boolean updateByBo(QsSupplierBo bo);

    /**
     * 校验并批量删除供应商信息信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    /**
     * 申领供应商
     */
    Boolean claimSuppliers(Collection<Long> supplierIds, Long userId);

    /**
     * 分配供应商
     */
    Boolean resignSuppliers(Collection<Long> userIds, Long supplierId);
}
